Subject: Re: [ippm] Working Group Last Call on draft-ietf-ippm-stamp-05

From: Greg Mirsky <[email-masked]>
Date: Tue, 23 Apr 2019 13:41:38 -0700

Hi David,
apologies for the delayed update. I've prepared the new version of the
draft to address your comments and comments by the draft Shepherd Tal
Mizrahi. Please find the diff, the updated new version attached. Also, I've
added a couple explaining notes in-line below under the GIM>> tag.
Much appreciate your feedback.

Regards,
Greg

On Tue, Mar 5, 2019 at 8:26 AM David Ball <[email-masked]> wrote:

> Hi,
>
> I have reviewed the document and am fine with it progressing.
>
> A few nits:
>
>    - The text at the start of Sn 4.1.1 should be before the 4.1.1 heading
>    (after the 4.1 heading).
>
> GIM>> Accepted and done.

>
>    - Sn 4.1.1 - the bullet about Server Octets has a spurious extra
>    part-sentence: "The Reflect Octets capability defined in [RFC6038]." - this
>    should be deleted.
>
> GIM>> The comment from Shepherd suggested re-wording the sentence. Please
let me know if the following change is acceptable:
OLD TEXT:
The Reflect Octets capability defined in [RFC6038].
NEW TEXT:
This field is used for the Reflect Octets capability defined in [RFC6038].

>
>    -
>    - Fig 4 shows a min length of 112 (if I counted right); but text at
>    the start of 4.1.1 says the min length in authenticated mode is 48.
>
> GIM>> Great catch, thank you! It must be 112 - corrected the text.

>
>    - The wording/grammar in the paragraph after bullets in Sn 4.4 is a
>    little awkward - suggested edits below:
>
>   "In the former case, the Session-Sender MAY not be aware that its Session-
>    Reflector does not support STAMP.  For example, a TWAMP Light Session-
>    Reflector may not support the use of UDP port 862 as defined in
>    [I-D.ietf-ippm-port-twamp-test <https://tools.ietf.org/html/draft-ietf-ippm-stamp-05#ref-I-D.ietf-ippm-port-twamp-test>].  Thus, the STAMP Session-Sender MUST be
>    able to send test packets to destination UDP port numbers taken from the
>    Dynamic and/or Private Ports range 49152-65535.  The test management
>    system should find a port number that both devices can use.  If any
>    of the TLV-based STAMP extensions are used, the TWAMP Light Session-
>    Reflector will view them as Packet Padding field.  The Session-Sender
>    SHOULD use the default format for its timestamps (NTP) but it MAY
>    use PTPv2 timestamp format."
>
> GIM>> Many thanks. Accepted.

>
>      David
>
>
> --
> David Ball<[email-masked]> <[email-masked]>
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: David Ball <[email-masked]>
Date: Tue, 23 Apr 2019 22:59:51 +0100

Looks good, thanks Greg.

     David

On 23/04/2019 21:41, Greg Mirsky wrote:
> Mizrahi. Please find the diff, the updated new version attached. Also, 
> I've added a couple explaining notes in-line below under the GIM>> tag.
> On Tue, Mar 5, 2019 at 8:26 AM David Ball <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>       * The text at the start of Sn 4.1.1 should be before the 4.1.1
>         heading (after the 4.1 heading).
>
> GIM>> Accepted and done.
>
>       * Sn 4.1.1 - the bullet about Server Octets has a spurious extra
>         part-sentence: "The Reflect Octets capability defined in
>         [RFC6038]." - this should be deleted.
>
> GIM>> The comment from Shepherd suggested re-wording the sentence. 
> Please let me know if the following change is acceptable:
> OLD TEXT:
>      *
>       * Fig 4 shows a min length of 112 (if I counted right); but text
>         at the start of 4.1.1 says the min length in authenticated
>         mode is 48.
>
>       * The wording/grammar in the paragraph after bullets in Sn 4.4
>         is a little awkward - suggested edits below:
>
>        "In the former case,the  Session-Sender MAY not be aware that its Session-
>         Reflector does not support STAMP.  For example,a  TWAMP Light Session-
>         system should finda  port number that both devices can use.If any
>         ofthe  TLV-based STAMP extensions are used, the TWAMP Light Session-
>         SHOULD use the default format for its timestamps(NTP) but  it MAY
>     David Ball
>     <[email-masked]>  <mailto:[email-masked]>
>
>     [email-masked] <mailto:[email-masked]>
-- 
David Ball
<[email-masked]>